Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis.utils
Class LockableHashtable

    java.lang.Object
      java.util.Dictionary
          java.util.Hashtable
              org.apache.axis.utils.LockableHashtable

All Implemented Interfaces:
  Cloneable, Map, Serializable

public class LockableHashtable
extends Hashtable

This subclass of the java Hashtable allows individual entries to be "locked" so that their values cannot be overwritten or removed.

Note, only the put() and remove() methods have been overridden. The clear() method still removes all entries whether they've been locked or not.

Author:
  James Snell (jasnell@us.ibm.com)
See Also:
  Serialized Form

Constructor Summary
`LockableHashtable()`
`LockableHashtable(int p1)`
`LockableHashtable(int p1, float p2)`
`LockableHashtable(Map p1)`

Method Summary
`Object` | `get(Object key)` Get an entry from this hashtable, and if we don't find anything, defer to our parent, if any.
`boolean` | `isKeyLocked(Object key)` Returns true if a given key is in our locked list
`Object` | `put(Object p1, Object p2)` Overrides the Hashtable.put() method to mark items as not being locked.
`Object` | `put(Object p1, Object p2, boolean locked)` New version of the put() method that allows for explicitly marking items added to the hashtable as locked.
`Object` | `remove(Object p1)` Checks to see if an item is locked before it is removed.
`void` | `setParent(Hashtable parent)` Set the parent Hashtable for this object

Methods inherited from class java.util.Hashtable
`clear, clone, contains, containsKey, containsValue, elements, entrySet, equals, hashCode, isEmpty, keys, keySet, putAll, rehash, size, toString, values`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### LockableHashtable

    public LockableHashtable()

### LockableHashtable

    public LockableHashtable(int p1,
                             float p2)

### LockableHashtable

    public LockableHashtable(Map p1)

### LockableHashtable

    public LockableHashtable(int p1)

Method Detail

### setParent

    public void setParent(Hashtable parent)

  Set the parent Hashtable for this object

### get

    public Object get(Object key)

  Get an entry from this hashtable, and if we don't find anything, defer to our parent, if any.

### put

    public Object put(Object p1,
                      Object p2,
                      boolean locked)

  New version of the put() method that allows for explicitly marking items added to the hashtable as locked.

### put

    public Object put(Object p1,
                      Object p2)

  Overrides the Hashtable.put() method to mark items as not being locked.

### remove

    public Object remove(Object p1)

  Checks to see if an item is locked before it is removed.

### isKeyLocked

    public boolean isKeyLocked(Object key)

  Returns true if a given key is in our locked list

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.